Name:          libgpg-error
Release:       1mamba
Version:       1.18
Summary:       Error handling functions and error codes used by GnuPG and Libgcrypt
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnupg.org
Source:        ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
License:       LGPL
BuildRequires: gettext-devel >= 0.14.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The package libgpg-error contains common error codes and error handling functions used by GnuPG, Libgcrypt, GPGME and more packages.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The package libgpg-error contains common error codes and error handling functions used by GnuPG, Libgcrypt, GPGME and more packages.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
   --enable-static

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgpg-error.so.*
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/gpg-error-config
%{_infodir}/gpgrt.info.gz
%{_includedir}/gpg-error.h
%{_libdir}/libgpg-error.a
%{_libdir}/libgpg-error.la
%{_libdir}/libgpg-error.so
%{_datadir}/aclocal/gpg-error.m4
%{_datadir}/common-lisp/source/gpg-error/
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/gpg-error
%{_mandir}/man1/gpg-error-config.1*

%changelog
* Sun Feb 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18-1mamba
- update to 1.18

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic version update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-1mamba
- update to 1.15

* Sun May 18 2014 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Mon Jun 24 2013 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Mon Mar 04 2013 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic update by autodist

* Fri Jul 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9-2mamba
- build static library required by suspend

* Fri Jul 30 2010 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic update by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic update by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7-1mamba
- automatic update by autodist

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 1.6-1mamba
- update to 1.6

* Wed Mar 21 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-2qilnx
- gpg-error-config moved to devel package

* Sun Mar 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1qilnx
- update to version 1.5 by autospec

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1-1qilnx
- update to version 1.1 by autospec
- specfile fixes: use rpm macros

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- package created by autospec
